GET
/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/{Storage_Id}/objects/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/{Storage_Id}/objects/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/{Storage_Id}/objects/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/{Storage_Id}/objects/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region. List all objects/files in a shared storage
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Course_Id
required
integer
Course ID
Storage_Id
required
integer
Unique identifier for the shared storage
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
prefix
string
Prefix to filter objects in storage
Example
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Successfully retrieved storage objects list
Media typeapplication/json
object
code
integer
data
Array<object>
object
bucket_name
string
contentType
string
is_delete_marker
boolean
is_dir
boolean
is_latest
boolean
lastModified
string format: date-time
name
string
owner_id
integer
owner_name
string
size
integer
storage_class
string
version_id
string
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "bucket_name": "d-gpu-28911c97-a14c-4bc0-843b-d5c79fb58ee1", "is_delete_marker": false, "is_dir": false, "lastModified": "2025-10-28T08:49:17.222000Z", "name": "AI Labs.postman_collection.json", "size": 94339, "storage_class": "STANDARD" } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}